;---------------------------------------------------------------------------
;Small Scale Teleportation
[Statedef 3000]
type = S
movetype = I
physics = N
velset = 0,0
ctrl = 0
anim = 0

[State 3000, Variable]
type = varset
trigger1 = time = 0
trigger1 = command = "x"
v = 2
value = 0

[State 3000, Variable]
type = varset
trigger1 = time = 0
trigger1 = command = "y"
v = 2
value = 1

[State 3000, Trans]
type = trans
trigger1 = time = (0,15]
trans = addalpha
alpha = 256 - time*17, time*17

[State 3000, Trans]
type = trans
trigger1 = time = (15,30]
trans = addalpha
alpha = (time-15)*17, 256 - (time-15)*17

[State 3000, Invinced]
type = NotHitBY
trigger1 = time = (5,20]
value = SCA

[State 3000, SND1]
type = PlaySnd
trigger1 = time = 0
value = 3000,3

[State 3000, SND2]
type = PlaySnd
trigger1 = time = 15
value = 3000,1

[State 3000, Shift]
type = PosAdd
trigger1 = time = 15
trigger1 = var(2) = 0
trigger1 = command != "holdback"
x = P2Dist X + 26

[State 3000, Shift]
type = PosAdd
trigger1 = time = 15
trigger1 = var(2) = 1
trigger1 = command != "holdback"
x = 300

[State 3000, Turn]
type = turn
trigger1 = p2bodydist X < -26
persistent = 0

[State 3000, end]
type = changestate
trigger1 = Time = 30
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Stasis Activator
[Statedef 3050]
type = S
movetype = I
physics = S
velset = 0,0
ctrl = 0
anim = 3050
sprpriority = -2

[State 3050, Variable]
type = varset
trigger1 = time = 0
trigger1 = command = "x"
v = 2
value = 0

[State 3050, Variable]
type = varset
trigger1 = time = 0
trigger1 = command = "y"
v = 2
value = 1

[State 3050, Helper]
type = Helper
trigger1 = AnimElemTime(4) = 5
name = "Stasis Crystal"
ID = 50
pos = 0,ceil(-60*const(size.yscale))
postype = p1
stateno= 3051
keyctrl = 1
ownpal = 1

[State 3050, end]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;The Crystal
[Statedef 3051]
type = A
movetype = A
physics = N
anim = 4000
velset = 3,0
ctrl = 0

[State 3051, Adjust]
type = VelAdd
trigger1 = time = 0
x = -1*(parent, var(2))
y = -1*(parent, var(2))

[State 3051, Override]
type = HitOverride
trigger1 = time = 0
attr = SCA, AA, AP
stateno = 3052
time = 66

[State 3051, Nothitby]
type = NotHitBy
trigger1 = time = 0
value = SCA, AT
time = 66

[State 3051, Hit]
type = HitDef
trigger1 = time
attr = A,SP
hitflag = MA
guardflag = M
sparkno = -1
hitsound = S3000,1

[State 3051, End]
type = ChangeState
trigger1 = numtarget
trigger1 = target, ishelper
value = 3052

[State 3051, Handler]
type = ParentVarset
trigger1 = movehit
persistent = 0
fv = 30
value = target, Vel X

[State 3051, Handler]
type = ParentVarset
trigger1 = movehit
persistent = 0
fv = 31
value = target, Vel Y

[State 3051, Handler]
type = ParentVarset
trigger1 = movehit
persistent = 0
v = 32
value = target, anim

[State 3051, Handler]
type = ParentVarset
trigger1 = movehit
persistent = 0
v = 33
value = target, stateno

[State 3051, Handler]
type = ParentVarset
trigger1 = movehit
persistent = 0
v = 34
value = target, animelemno(0)

[State 3051, Handler]
type = null
trigger1 = movehit
persistent = 0
v = 29
value = ifelse(root, var(29) = 0,120,0)

[State 3051, Handler]
type = ParentVarset
trigger1 = movehit
persistent = 0
v = 35
value = target, ctrl

[State 3051, Handler]
type = Targetstate
trigger1 = movehit
;trigger1 = root, var(29) > 0
trigger1 = target, prevstateno != 3053
persistent = 0
value = 3053

[State 3051, End]
type = ChangeState
trigger1 = Time = 65 || Movecontact
value = 3052

[Statedef 3052]
movetype = I
type = A
physics = N
anim = 4001

[State 3052, Die]
type = DestroySelf
trigger1 = Animtime = 0

;FROZEN PUNXX!!
[Statedef 3053]
type = U
movetype = I
velset = 0,0
ctrl = 0

[State 3053, Freeze anim]
type = changeanim
trigger1 = time
persistent = 1
value = enemy, var(32)
elem = enemy, var(34)

[State 3053, Transparency]
type = Trans
trigger1 = time
trans = add1
alpha = 128, 128

[State 3053, Vel]
type = Velset
trigger1 = time >= 120
x = enemy, fvar(30)
y = enemy, fvar(31)

[State 3053, Return]
type = Selfstate
trigger1 = time >= 120
value = enemy, var(33)
ctrl = enemy, var(35)

;---------------------------------------------------------------------------
;Matter Phasing
[Statedef 3100]
type = A
movetype = I
physics = N
anim = 3100
velset = 0, 0
ctrl = 0

[State 3100, No push]
type = playerpush
trigger1 = 1
value = 0

[State 3100, Transparency]
type = Trans
trigger1 = time
trans = addalpha
alpha = 256-13*time, 13*time

[State 3100, SND1]
type = PlaySnd
trigger1 = time = 10
value = 3000,3

[State 3100, Variable]
type = varset
trigger1 = time = 0
trigger1 = command = "a"
v = 2
value = 0

[State 3100, Variable]
type = varset
trigger1 = time = 0
trigger1 = command = "b"
v = 2
value = 1

[State 3100, TURN]
type = turn
trigger1 = time = 0

[State 3100, Vel]
type = velset
trigger1 = animelemtime(2) = 0
x = 18
y = ifelse(pos Y < 0, -2, -3)

[State 3100, Screen]
type = Screenbound
trigger1 = 1
persistent = 1
value = 0

[State 3101, POS]
type = PosSet
trigger1 = time = 20
persistent = 0
x = -1*facing*190;-510

[State 3100, Switch]
type = changestate
trigger1 = time = 20;Pos X < -190 || Pos X > 190
value = 3101

[Statedef 3101]
type = A
movetype = A
physics = A
anim = 3101
velset = 10,-2

[State 3101, Screen]
type = Screenbound
trigger1 = 1
persistent = 1
value = 0

[State 3101, POS]
type = PosSet
trigger1 = time = 0
persistent = 0
y = ifelse(var(2),-100,-50)

[State 3101, Hit]
type = HitDef
trigger1 = time
persistent = 0
attr = A,SA
hitflag = MAF
guardflag = H
damage = 87
sparkno = S10001
guard.sparkno = S10004
sparkxy = 0, ceil(-30*const(size.yscale))
hitsound = S5,7+random%3
guardsound = S6,0
pausetime = 8,8
ground.hittime = 30
air.hittime = 50
guard.hittime = 10
animtype = hard
ground.velocity = -4,-6
guard.velocity = -8
ground.slidetime = 6
air.velocity = -4,-6
getpower = 95, 47
givepower = 47, 24
yaccel = .5

;---------------------------------------------------------------------------
;Matter Phasing2
[Statedef 3102]
type = A
movetype = I
physics = N
anim = 3100
velset = 0, 0
ctrl = 0

[State 3100, No push]
type = playerpush
trigger1 = 1
value = 0

[State 3100, Transparency]
type = Trans
trigger1 = time
trans = addalpha
alpha = 256-13*time, 13*time

[State 3100, SND1]
type = PlaySnd
trigger1 = time = 10
value = 3000,3

[State 3100, Variable]
type = varset
trigger1 = time = 0
trigger1 = command = "a"
v = 2
value = 0

[State 3100, Variable]
type = varset
trigger1 = time = 0
trigger1 = command = "b"
v = 2
value = 1

[State 3100, TURN]
type = turn
trigger1 = time = 0

[State 3100, Vel]
type = velset
trigger1 = animelemtime(2) = 0
x = 18
y = ifelse(pos Y < 0, -2, -3)

[State 3100, Screen]
type = Screenbound
trigger1 = 1
persistent = 1
value = 0

[State 3100, TURN]
type = turn
trigger1 = time = 20

[State 3101, POS]
type = PosSet
trigger1 = time = 20
persistent = 0
x = -1*facing*190;-510

[State 3100, Switch]
type = changestate
trigger1 = time = 20;Pos X < -190 || Pos X > 190
value = 3101

;Phase out!
[Statedef 3150]
type = S
physics = S
movetype = I
velset = 0,0
ctrl = 0
anim = 3150

[State 3150, Super]
type = SuperPause
trigger1 = animelemtime(3) = 0
persistent = 0
sound = 20, 0
pos = 2,-67

[State 3150, Transparency]
type = Trans
trigger1 = time > 12
trigger1 = anim = 3150
persistent = 1
trans = add1
alpha = 268-2*time, 2*time-12

[State 3150, Invince on]
type = varset
trigger1 = time > 30
v = 45
value = 1

[State 3150, change anim]
type = changeanim
triggerall = anim = 3150
trigger1 = time > 60
value = 3151

[State 3150, end]
type = changestate
triggerall = anim = 3151
trigger1 = animtime = 0
value = 0
ctrl = 1